## python-keystoneclient 3.15.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# These are needed for docs generation
openstackdocstheme>=1.17.0 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-keystoneclient (1:3.15.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:27:19 -0500

python-keystoneclient (1:3.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 13:05:13 -0500

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 memcached,
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.10.0),
 python-keyring (>= 5.5.1),
 python-keystoneauth1 (>= 3.3.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-oauthlib (>= 0.6.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-positional (>= 1.1.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.6.2),
 python-stevedore (>= 1:1.20.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.10.0),
 python3-keyring (>= 5.5.1),
 python3-keystoneauth1 (>= 3.3.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-oauthlib (>= 0.6.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8,
 python3-positional (>= 1.1.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.2),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
XS-Testsuite: autopkgtest

Package: python-keystoneclient
Architecture: all
Depends:
 python-debtcollector (>= 1.2.0),
 python-keyring (>= 5.5.1),
 python-keystoneauth1 (>= 3.3.0),
 python-lxml (>= 2.3),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-positional (>= 1.1.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Description: client library for the OpenStack Keystone API - Python 2.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python-openstackclient" package.
 .
 This package contains the Python 2.x module.

Package: python-keystoneclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

Package: python3-keystoneclient
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-keyring (>= 5.5.1),
 python3-keystoneauth1 (>= 3.3.0),
 python3-lxml (>= 2.3),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-positional (>= 1.1.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-keystoneclient ; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-keystoneclient ; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python-keystoneclient/usr/keystoneclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean

override_dh_auto_clean:
	rm -rf .testrepository


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/^2012/0.0.0/" \
https://github.com/openstack/python-keystoneclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-keystoneclient 3.17.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 # These are needed for docs generation
-openstackdocstheme>=1.17.0 # Apache-2.0
-sphinx!=1.6.6,>=1.6.2 # BSD
+openstackdocstheme>=1.18.1 # Apache-2.0
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
 reno>=2.5.0 # Apache-2.0
 lxml!=3.7.0,>=3.4.1 # BSD
 fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-keystoneclient (1:3.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixes FTBFS (Closes: #906401).

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 08:47:43 +0200

python-keystoneclient (1:3.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Build the doc with Python3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 10:02:18 +0200

python-keystoneclient (1:3.15.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:53:02 +0000

python-keystoneclient (1:3.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 16:20:53 +0000

python-keystoneclient (1:3.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:37:48 +0000

python-keystoneclient (1:3.13.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Removed fix_cms_verify_when_input_files_not_exists.patch applied upstream.
  * Removed XS-Testsuite: field.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 18:35:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,102 +1,101 @@
 Source: python-keystoneclient
 Section: python
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
+ bandit,
  memcached,
- python-coverage (>= 4.0),
- python-debtcollector (>= 1.2.0),
- python-fixtures (>= 3.0.0),
+ python-bandit,
+ python-coverage,
+ python-debtcollector,
+ python-fixtures,
  python-hacking (>= 0.10.0),
- python-keyring (>= 5.5.1),
- python-keystoneauth1 (>= 3.3.0),
- python-lxml (>= 3.4.1),
- python-mock (>= 2.0.0),
- python-oauthlib (>= 0.6.0),
- python-openstackdocstheme (>= 1.17.0),
- python-oslo.config (>= 1:5.1.0),
+ python-keyring,
+ python-keystoneauth1 (>= 3.4.0),
+ python-lxml,
+ python-memcache,
+ python-mock,
+ python-mox3,
+ python-oauthlib,
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 1:3.2.0),
- python-positional (>= 1.1.1),
+ python-pep8,
+ python-pysaml2,
  python-requests (>= 2.14.2),
- python-requests-mock (>= 1.1.0),
- python-six (>= 1.10.0),
- python-sphinx (>= 1.6.2),
- python-stevedore (>= 1:1.20.0),
+ python-requests-mock (>= 1.2.0),
+ python-six,
+ python-stevedore (>= 1.20.0),
  python-tempest (>= 1:17.1.0),
- python-testrepository (>= 0.0.18),
- python-testresources (>= 2.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python3-coverage (>= 4.0),
- python3-debtcollector (>= 1.2.0),
- python3-fixtures (>= 3.0.0),
+ python-testresources (>= 2.0.0) <!nocheck>,
+ python-testscenarios <!nocheck>,
+ python-testtools (>= 2.2.0) <!nocheck>,
+ python3-bandit,
+ python3-coverage,
+ python3-debtcollector,
+ python3-fixtures,
  python3-hacking (>= 0.10.0),
- python3-keyring (>= 5.5.1),
- python3-keystoneauth1 (>= 3.3.0),
- python3-lxml (>= 3.4.1),
- python3-mock (>= 2.0.0),
- python3-oauthlib (>= 0.6.0),
- python3-openstackdocstheme (>= 1.17.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-keyring,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-lxml,
+ python3-memcache (>= 1.56),
+ python3-mock,
+ python3-mox3,
+ python3-oauthlib,
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pep8,
- python3-positional (>= 1.1.1),
+ python3-pysaml2,
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
- python3-sphinx (>= 1.6.2),
- python3-stevedore (>= 1:1.20.0),
- python3-subunit,
- python3-tempest (>= 1:17.1.0),
- python3-testrepository (>= 0.0.18),
- python3-testresources (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- subunit,
- testrepository,
-Standards-Version: 4.1.2
+ python3-requests-mock (>= 1.2.0),
+ python3-six,
+ python3-stevedore (>= 1.20.0),
+ python3-tempest (>= 1:17.1.0) <!nocheck>,
+ python3-testresources (>= 2.0.0) <!nocheck>,
+ python3-testscenarios <!nocheck>,
+ python3-testtools (>= 2.2.0) <!nocheck>,
+ subunit <!nocheck>,
+ tempest (>= 1:17.1.0),
+ testrepository <!nocheck>,
+Standards-Version: 4.1.3
 Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
-XS-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient
 
 Package: python-keystoneclient
 Architecture: all
 Depends:
- python-debtcollector (>= 1.2.0),
- python-keyring (>= 5.5.1),
- python-keystoneauth1 (>= 3.3.0),
- python-lxml (>= 2.3),
- python-oslo.config (>= 1:5.1.0),
+ python-debtcollector,
+ python-keyring,
+ python-keystoneauth1 (>= 3.4.0),
+ python-lxml,
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
- python-positional (>= 1.1.1),
  python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- python-stevedore (>= 1:1.20.0),
+ python-six,
+ python-stevedore (>= 1.20.0),
  ${misc:Depends},
  ${python:Depends},
 Description: client library for the OpenStack Keystone API - Python 2.x
@@ -117,6 +116,7 @@
  This package contains the Python 2.x module.
 
 Package: python-keystoneclient-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Depends:
@@ -142,19 +142,18 @@
 Package: python3-keystoneclient
 Architecture: all
 Depends:
- python3-debtcollector (>= 1.2.0),
- python3-keyring (>= 5.5.1),
- python3-keystoneauth1 (>= 3.3.0),
- python3-lxml (>= 2.3),
- python3-oslo.config (>= 1:5.1.0),
+ python3-debtcollector,
+ python3-keyring,
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-lxml,
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-positional (>= 1.1.1),
  python3-requests (>= 2.14.2),
- python3-six (>= 1.10.0),
- python3-stevedore (>= 1:1.20.0),
+ python3-six,
+ python3-stevedore (>= 1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: client library for the OpenStack Keystone API - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

export RES_OPTIONS=attempts:0

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean

override_dh_auto_clean:
	rm -rf .testrepository


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-keystoneclient 3.19.0

=== debian/changelog ===
python-keystoneclient (1:3.19.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:21:13 +0200

python-keystoneclient (1:3.19.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 08:43:47 +0100

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 bandit,
 memcached,
 python3-bandit,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-memcache,
 python3-mock,
 python3-mox3,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-pysaml2,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit <!nocheck>,
 tempest,
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient

Package: python-keystoneclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

Package: python3-keystoneclient
Architecture: all
Depends:
 python3-debtcollector,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

export RES_OPTIONS=attempts:0

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
	# 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)'
endif

override_dh_clean:
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-keystoneclient 3.21.0

=== debian/changelog ===
python-keystoneclient (1:3.21.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 22:41:16 +0000

python-keystoneclient (1:3.21.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:10:10 -0400

python-keystoneclient (1:3.20.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop last few dependencies on Python 2 modules.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Sep 2019 10:54:24 +0100

python-keystoneclient (1:3.20.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:31:25 -0400

python-keystoneclient (1:3.19.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-keystoneclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/rules: Skip install and test of Python 2 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 08:41:31 +0100

python-keystoneclient (1:3.19.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 15:03:14 -0400

python-keystoneclient (1:3.18.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:22:45 -0500

python-keystoneclient (1:3.17.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 17:35:45 -0400

python-keystoneclient (1:3.16.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 09:42:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-keystoneclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -10,47 +11,51 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 1.6.2) <!nodoc>,
 Build-Depends-Indep:
  bandit,
  memcached,
- python3-bandit,
- python3-coverage,
- python3-debtcollector,
- python3-fixtures,
- python3-hacking,
- python3-keyring,
- python3-keystoneauth1,
- python3-lxml,
- python3-memcache,
- python3-mock,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-fixtures (>= 3.0.0),
+ python3-flake8-docstrings (>= 0.2.1.post1),
+ python3-hacking (>= 1.1.0),
+ python3-keyring (>= 5.5.1),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-lxml (>= 3.4.1),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
  python3-mox3,
- python3-oauthlib,
- python3-openstackdocstheme <!nodoc>,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 1.20.0) <!nodoc>,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pep8,
  python3-pysaml2,
- python3-requests,
- python3-requests-mock,
- python3-six,
- python3-stestr,
- python3-stevedore,
- python3-tempest <!nocheck>,
- python3-testresources <!nocheck>,
- python3-testscenarios <!nocheck>,
- python3-testtools <!nocheck>,
- subunit <!nocheck>,
- tempest,
+ python3-reno (>= 2.5.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit,
+ python3-tempest (>= 1:17.1.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ tempest (>= 1:17.1.0),
 Standards-Version: 4.1.3
 Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-keystoneclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-keystoneclient-doc
 Build-Profiles: <!nodoc>
@@ -79,18 +84,18 @@
 Package: python3-keystoneclient
 Architecture: all
 Depends:
- python3-debtcollector,
+ python3-debtcollector (>= 1.2.0),
  python3-keyring,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 3.4.0),
  python3-lxml,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-stevedore,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: client library for the OpenStack Keystone API - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

export RES_OPTIONS=attempts:0

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)'
endif

override_dh_clean:
	dh_clean

override_dh_auto_clean:
	rm -rf .testrepository


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-keystoneclient 3.22.0

=== debian/changelog ===
python-keystoneclient (1:3.22.0-0ubuntu2) focal; urgency=medium

  * d/control: Move python3-keyring to Suggests since it is optional
    (LP: #1861268).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Feb 2020 13:40:51 -0500

python-keystoneclient (1:3.22.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from openstack.org.
  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 11 Dec 2019 13:45:23 +0100

python-keystoneclient (1:3.21.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:33:05 +0200

python-keystoneclient (1:3.21.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Install in debian/tmp first to satisfy tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:50:37 +0200

## python-keystoneclient 4.0.0

=== debian/changelog ===
python-keystoneclient (1:4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 10:48:26 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -85,7 +85,6 @@
 Architecture: all
 Depends:
  python3-debtcollector (>= 1.2.0),
- python3-keyring,
  python3-keystoneauth1 (>= 3.4.0),
  python3-lxml,
  python3-oslo.config (>= 1:5.2.0),
@@ -98,6 +97,8 @@
  python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-keyring,
 Description: client library for the OpenStack Keystone API - Python 3.x
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based

## python-keystoneclient 4.1.1

=== debian/changelog ===
python-keystoneclient (1:4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:08:03 +0200

python-keystoneclient (1:4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2020 22:35:40 +0200

python-keystoneclient (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-os-client-config to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:13:53 +0200

python-keystoneclient (1:4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:13:00 +0200

python-keystoneclient (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Apr 2020 22:16:24 +0200

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 bandit,
 memcached,
 python3-bandit,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-memcache,
 python3-mox3,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-client-config,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pep8,
 python3-pysaml2,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-tempest <!nocheck>,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit <!nocheck>,
 tempest,
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient

Package: python-keystoneclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

Package: python3-keystoneclient
Architecture: all
Depends:
 python3-debtcollector,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

## python-keystoneclient 4.2.0

=== debian/changelog ===
python-keystoneclient (1:4.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Dec 2020 15:24:29 +0000

python-keystoneclient (1:4.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 14:36:58 +0000

python-keystoneclient (1:4.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:31:07 -0400

python-keystoneclient (1:4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 12:05:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-keystoneclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -10,48 +11,52 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 2.0.0) <!nodoc>,
 Build-Depends-Indep:
  bandit,
  memcached,
- python3-bandit,
- python3-coverage,
- python3-debtcollector,
- python3-fixtures,
- python3-hacking,
- python3-keyring,
- python3-keystoneauth1,
- python3-lxml,
- python3-memcache,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-fixtures (>= 3.0.0),
+ python3-flake8-docstrings (>= 0.2.1.post1),
+ python3-hacking (>= 1.1.0),
+ python3-keyring (>= 5.5.1),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-lxml (>= 4.5.0),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
  python3-mox3,
- python3-oauthlib,
- python3-openstackdocstheme <!nodoc>,
- python3-os-client-config,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pep8,
  python3-pysaml2,
- python3-requests,
- python3-requests-mock,
- python3-six,
- python3-stestr,
- python3-stevedore,
- python3-sphinxcontrib.apidoc <!nodoc>,
- python3-tempest <!nocheck>,
- python3-testresources <!nocheck>,
- python3-testscenarios <!nocheck>,
- python3-testtools <!nocheck>,
- subunit <!nocheck>,
- tempest,
+ python3-reno (>= 2.5.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit,
+ python3-tempest (>= 1:17.1.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ tempest (>= 1:17.1.0),
 Standards-Version: 4.1.3
 Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystoneclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystoneclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-keystoneclient-doc
 Build-Profiles: <!nodoc>
@@ -80,20 +85,21 @@
 Package: python3-keystoneclient
 Architecture: all
 Depends:
- python3-debtcollector,
- python3-keyring,
- python3-keystoneauth1,
+ python3-debtcollector (>= 1.2.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-lxml,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-stevedore,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-keyring,
 Description: client library for the OpenStack Keystone API - Python 3.x
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based

## python-keystoneclient 4.3.0

=== debian/changelog ===
python-keystoneclient (1:4.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 13:45:22 +0000

python-keystoneclient (1:4.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 12:34:09 +0000

## python-keystoneclient 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 debtcollector>=1.2.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-keystoneclient (1:4.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13 and switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 13:22:47 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-keystoneclient/ python-keystoneclient-(\d.*)\.tar\.gz
